# Generated by Django 2.0.5 on 2020-05-26 13:15

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('collector', '0017_customercollector_current_version'),
    ]

    operations = [
        migrations.CreateModel(
            name='CollectorQuery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('payload', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('status', models.CharField(choices=[('Pending', 'Pending'), ('Submitted', 'Submitted'), ('Completed', 'Completed')], default='Pending', max_length=20)),
                ('result', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('collector', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='queries', to='collector.CustomerCollector')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
